Bug 478452 - Review Request: libxnm - A library for parsing the XNM format
Review Request: libxnm - A library for parsing the XNM format
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 06:56 EST by Fabian Affolter
Modified: 2009-02-20 06:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 06:44:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-12-30 06:56:49 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/libxnm.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/libxnm-0.1.2-1.fc9.src.rpm

Project URL: http://xnm.sourceforge.net/

Description:
XNM is a simple recursively defined serialization syntax for storing
and communicating of complex data structure

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1025884

rpmlint output:
[fab@laptop024 i386]$ rpmlint libxnm*
libxnm.i386: W: shared-lib-calls-exit /usr/lib/libxnm-1.0.so.0.0.0 exit@GLIBC_2.0
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop024 SRPMS]$ rpmlint libxnm-0.1.2-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

I reported to upstream about the rpmlint warning.  But so far I have no answer.
Comment 1 Parag AN(पराग) 2009-01-26 08:28:29 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1082732
+ rpmlint is silent for SRPM 
- rpmlint is NOT silent for RPM.
libxnm.i386: W: shared-lib-calls-exit /usr/lib/libxnm-1.0.so.0.0.0 exit@GLIBC_2.0
+ source files match upstream.
368655a553e594161f14286352165e41  libxnm-0.1.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ libxnm.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ ldconfig scriptlets are used.
+ Not a GUI app.

suggestions:
1) source url should be
http://downloads.sourceforge.net/xnm/%{name}-%{version}.tar.gz
2) for -devel package make docs in %files as
%doc doxygen-doc/*
==> This will reduce one level depth of directory hierarchy.

I am approving this package with hope that you will convince upstream to avoid usage of exit() function in library project source which made rpmlint to complain.


APPROVED.
Comment 2 Fabian Affolter 2009-01-26 09:58:56 EST
At the begin of January the developer of libxnm told me that he have fixed the issue about exit().  But so far he haven't released a new version. 

I will made the cvs request but wait for the new release of libxnm, then incorporate your suggestions, and commit to cvs.
Comment 3 Fabian Affolter 2009-01-26 09:59:45 EST
New Package CVS Request
=======================
Package Name: libxnm
Short Description: A library for parsing the XNM format
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 4 Kevin Fenzi 2009-01-26 17:21:25 EST
cvs done.
Comment 5 Michael Schwendt 2009-01-27 08:23:43 EST
> + Does owns the directories it creates.

Directory %{_includedir}/xnm/ is not included. This can easily be seen in the spec file.
Comment 6 Fabian Affolter 2009-01-27 08:42:19 EST
(In reply to comment #5)
> > + Does owns the directories it creates.
> 
> Directory %{_includedir}/xnm/ is not included. This can easily be seen in the
> spec file.

Yes, this need to be fixed before the import.  Thanks Michael.
Comment 7 Parag AN(पराग) 2009-01-27 09:23:19 EST
(In reply to comment #5)
> > + Does owns the directories it creates.
> 
> Directory %{_includedir}/xnm/ is not included. This can easily be seen in the
> spec file.

aha. Thanks for catching that.
I missed that when I looked into output of 
rpm -qlvp libxnm-devel-0.1.2-1.fc11.i386.rpm
Comment 8 Fedora Update System 2009-02-06 00:19:22 EST
libxnm-0.1.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libxnm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1392
Comment 9 Fedora Update System 2009-02-06 00:23:31 EST
libxnm-0.1.3-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update libxnm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1415

Note You need to log in before you can comment on or make changes to this bug.